# Pma-Voice

## Manual Installation

### Add exports to pma-voice

Go to `pma-voice/client/init/main.lua` and add this line at the end of the file:

```lua
exports('playerTargets', addVoiceTargets)
exports('toggleVoice', toggleVoice)
```

Remember to have the latest pma version instaled, otherwise you could have an outdated version that don't have the `addVoiceTargets` function, you can obtain the latest update [here](https://github.com/AvarianKnight/pma-voice/releases/latest).

If you get a message that you still don't have the playerTargets exports thats mean that you don't have the latest version of pma-voice, thats not a script problem, just download the latest version of pma and add the exports again.

## Direct Installation

Remove your current pma-voice script and place this:

{% file src="<https://3936778620-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FPLI7NdIesJTaEUHH6a2U%2Fuploads%2FuMPjJA23MBMKMgSr9E3j%2Fpma-voice.zip?alt=media&token=3895744d-f2fb-4df6-bb03-ae57d8ff9a60>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.origennetwork.store/origen-radio/installation/pma-voice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
